<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ironspeed.com/designer">
  <Generator>Iron Speed Designer</Generator>
  <Version>9.2.0</Version>
  <Self>
    <Name>ShowPersonalEducationTable1</Name>
    <Type>Page</Type>
    <SubType>DotNet</SubType>
    <MasterLayout>~/Master Pages/HorizontalMenu.master</MasterLayout>
    <GenerateDirectory>PersonalEducation</GenerateDirectory>
    <Layout>PersonalEducation\ShowPersonalEducationTable1.xml</Layout>
    <DisplayName>ShowPersonalEducationTable1</DisplayName>
    <Description>Table view to show or edit multiple records.</Description>
    <MenuFileToHilite>Menu</MenuFileToHilite>
    <MenuHiliteItem>PersonalEducationMenuItem</MenuHiliteItem>
    <LoginRequired />
    <CheckSum>1503175836-52770</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>COUNTRY</Name>
      <Type>FieldValue</Type>
      <Field>COUNTRY</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>COUNTRYLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>COUNTRY</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%COUNTRY</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Course</Name>
      <Type>FieldValue</Type>
      <Field>Course</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CourseAbbr</Name>
      <Type>FieldValue</Type>
      <Field>CourseAbbr</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CourseAbbrLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>CourseAbbr</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%CourseAbbr</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CourseLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Course</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%Course</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EducationType</Name>
      <Type>FieldValue</Type>
      <Field>EducationType</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EducationTypeLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>EducationType</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%EducationType</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EdYear</Name>
      <Type>FieldValue</Type>
      <Field>EdYear</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EdYearLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>EdYear</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%EdYear</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EndDate</Name>
      <Type>FieldValue</Type>
      <Field>EndDate</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EndDateLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>EndDate</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%EndDate</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Facultry</Name>
      <Type>FieldValue</Type>
      <Field>Facultry</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FacultryLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Facultry</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%Facultry</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Institue</Name>
      <Type>FieldValue</Type>
      <Field>Institue</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>InstitueLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Institue</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%Institue</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>LevelId</Name>
      <Type>FieldValue</Type>
      <Field>LevelId</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>LevelIdLabel1</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>LevelId</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%LevelId</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>ประวัติการศึกษา</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalEducationTableControl</Name>
      <Type>Table</Type>
      <PanelStyle>TableTable_DSameR_Child</PanelStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>DataReaderAlwaysSortBy</Name>
          <Value>EdYear ASC</Value>
        </Attribute>
        <Attribute>
          <Name>DataReaderSortBy</Name>
          <Value>StartDate ASC</Value>
        </Attribute>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InitialRowDisplayStyle</Name>
          <Value>FirstRowExpanded</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>TableOrQuery</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value />
        </Attribute>
        <Attribute>
          <Name>PageSize</Name>
          <Value>100</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
      <Querys>
        <Query>
          <LeftQueryContent>
            <Type>TableField</Type>
            <Prefix>PersonalEducation</Prefix>
            <Suffix>PersonalId</Suffix>
          </LeftQueryContent>
          <RightQueryContent>
            <Type>Control</Type>
            <Prefix>PersonalIdTableControl</Prefix>
            <Suffix>PersonalId</Suffix>
          </RightQueryContent>
          <ForeignKeyName>FK_PersonalEducation_PersonalId</ForeignKeyName>
        </Query>
      </Querys>
      <OrderBys>
        <OrderBy>
          <Position>0</Position>
          <ColumnName>StartDate</ColumnName>
          <Direction>Asc</Direction>
        </OrderBy>
        <OrderBy>
          <Position>1</Position>
          <ColumnName>EdYear</ColumnName>
          <Direction>Asc</Direction>
        </OrderBy>
      </OrderBys>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalEducationTableControlCollapsibleRegion</Name>
      <Type>Aspx</Type>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <ControlClass>System.Web.UI.WebControls.Panel</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalId</Name>
      <Type>FieldValue</Type>
      <Field>PersonalId</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalId</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>PersonalId</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalId</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalId%PersonalId</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdPagination</Name>
      <Type>Pagination</Type>
      <Layout>..\Shared\Pagination.ascx</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>FirstPage-Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:TableControl</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>LastPage-Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>NextPage-Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PageSizeButton-Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PreviousPage-Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdSearch1</Name>
      <Type>SearchFilter</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>AutoTypeAhead</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadDelay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadDisplayFoundText</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadListSize</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadMinChars</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadSearch</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadWordSeparators</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>CaseSensitive</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Columns</Name>
          <Value>50</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalIdTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>Search_Input</Value>
        </Attribute>
        <Attribute>
          <Name>EnterKeyCaptureToButton</Name>
          <Value>PersonalIdSearchButton1</Value>
        </Attribute>
        <Attribute>
          <Name>Fields</Name>
          <Value>PersonalName,PersonalLastName</Value>
        </Attribute>
        <Attribute>
          <Name>FilterOperator</Name>
          <Value>Contains</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalId</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdSearchButton1</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.ascx</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Search</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>PersonalIdSearch1</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:SearchGoButtonText</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdSearchLabel1</Name>
      <Type>Text</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>Txt:SearchFor</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdTableControl</Name>
      <Type>Table</Type>
      <PanelStyle>ShowTable</PanelStyle>
      <Table>PersonalId</Table>
      <QueryDefinition>
        <WhereClause>
          <Position>1</Position>
          <TableAlias>PersonalId_</TableAlias>
          <Field>[PersonalId_].[StatusId]</Field>
          <Operator>!=</Operator>
          <Operand>
            <Type>Constant</Type>
            <Value>1</Value>
          </Operand>
        </WhereClause>
        <WhereClause>
          <Position>2</Position>
          <TableAlias>PersonalId_</TableAlias>
          <Field>[PersonalId_].[StatusId]</Field>
          <Operator>!=</Operator>
          <Operand>
            <Type>Constant</Type>
            <Value>8</Value>
          </Operand>
        </WhereClause>
        <TableAliases>
          <Alias>
            <AliasName>PersonalId_</AliasName>
            <TableName>PersonalId</TableName>
          </Alias>
        </TableAliases>
      </QueryDefinition>
      <PassthroughAttributes>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InitialRowDisplayStyle</Name>
          <Value>FirstRowExpanded</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>TableOrQuery</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value />
        </Attribute>
        <Attribute>
          <Name>PageSize</Name>
          <Value>10</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationCurrentPage</Name>
          <Value>PersonalIdPagination-CurrentPage</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationPageSize</Name>
          <Value>PersonalIdPagination-PageSize</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalItems</Name>
          <Value>PersonalIdPagination-TotalItems</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalPages</Name>
          <Value>PersonalIdPagination-TotalPages</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdTableControlCollapsibleRegion</Name>
      <Type>Aspx</Type>
      <InsideControl>PersonalIdTableControl</InsideControl>
      <ControlClass>System.Web.UI.WebControls.Panel</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdTableControlIcon</Name>
      <Type>Aspx</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:TreatAs</Name>
          <Value>FieldFilter</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
      <ControlClass>System.Web.UI.WebControls.ImageButton</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdTableControlPanelExtender</Name>
      <Type>Aspx</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:TreatAs</Name>
          <Value>FieldFilter</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
      <ControlClass>AjaxControlToolkit.CollapsiblePanelExtender</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PersonalIdTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>ประวัติการศึกษา</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalIdTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>StartDate</Name>
      <Type>FieldValue</Type>
      <Field>StartDate</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>PersonalEducation</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>{0}</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>StartDateLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>PersonalEducationTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>StartDate</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>PersonalEducation</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%PersonalEducation%StartDate</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>PersonalEducationTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UpdatePanel1</Name>
      <Type>UpdatePanel</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
  </ComposedOf>
  <LayoutDefinition>&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;LayoutDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Layout Name="Page" Type="RootLayout"&gt;
    &lt;Prolog&gt;
      &lt;Value&gt;&amp;lt;asp:Content id="PageSection" ContentPlaceHolderID="PageContent" Runat="server"&amp;gt;
    &amp;lt;a id="StartOfPageContent"&amp;gt;&amp;lt;/a&amp;gt;
    &amp;lt;GEN:UPDATEPANEL NAME="UpdatePanel1"&amp;gt;
                &lt;/Value&gt;
    &lt;/Prolog&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;
                        
            &amp;lt;GEN:TABLE NAME="PersonalIdTableControl"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog&gt;
      &lt;Value&gt;
    &amp;lt;/GEN:UPDATEPANEL&amp;gt;
    &amp;lt;div id="detailPopup" class="detailRolloverPopup" onmouseout="detailRolloverPopupClose();" onmouseover="clearTimeout(gPopupTimer);"&amp;gt;&amp;lt;/div&amp;gt;
    &amp;lt;asp:ValidationSummary id="ValidationSummary1" ShowMessageBox="true" ShowSummary="false" runat="server"&amp;gt;&amp;lt;/asp:ValidationSummary&amp;gt;
&amp;lt;/asp:Content&amp;gt;
                &lt;/Value&gt;
    &lt;/Epilog&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdTableControl" Type="TablePanel" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalIdPanelHeader"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dh&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;asp:panel id="PersonalIdTableControlCollapsibleRegion" runat="server"&amp;gt;&amp;lt;GEN:PANEL NAME="PersonalIdPanel"/&amp;gt;&amp;lt;/asp:panel&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dv&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdPanelHeader" Type="PanelHeader" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/space.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhel&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;asp:CollapsiblePanelExtender id="PersonalIdTableControlPanelExtender" runat="server" TargetControlid="PersonalIdTableControlCollapsibleRegion" ExpandControlID="PersonalIdTableControlIcon" CollapseControlID="PersonalIdTableControlIcon" ImageControlID="PersonalIdTableControlIcon" ExpandedImage="~/images/icon_panelcollapse.gif" CollapsedImage="~/images/icon_panelexpand.gif" SuppressPostBack="true"/&amp;gt;
&amp;lt;asp:ImageButton id="PersonalIdTableControlIcon" runat="server" ToolTip="&amp;amp;lt;%# GetResourceValue(&amp;amp;quot;Btn:ExpandCollapse&amp;amp;quot;) %&amp;amp;gt;" causesvalidation="False" imageurl="~/images/icon_panelcollapse.gif" /&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dheci&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;valign&lt;/Name&gt;
            &lt;AttributeValue&gt;middle&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalIdTableControlTitleRegion"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhb&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/space.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dher&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdTableControlTitleRegion" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:HTML NAME="PersonalIdTitle"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhtr&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;valign&lt;/Name&gt;
            &lt;AttributeValue&gt;middle&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdPanel" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalIdFilters"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalIdButtons"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;pr&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalIdFields"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;tre&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dBody&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdFilters" Type="SearchAndFilter" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:TEXT NAME="PersonalIdSearchLabel1"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;fila&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:SEARCHFILTER NAME="PersonalIdSearch1"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:BUTTON NAME="PersonalIdSearchButton1"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;filbc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdButtons" Type="PanelButton" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/paginationRowEdgeL.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PAGINATION NAME="PersonalIdPagination"&amp;gt;&amp;lt;/GEN:PAGINATION&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;pra&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/paginationRowEdgeR.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;amp;nbsp;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;width&lt;/Name&gt;
            &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalIdFields" Type="TableGridRegular" PanelControlName="PersonalIdTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row Type="Header"&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="PersonalIdLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes&gt;
        &lt;Attribute&gt;
          &lt;Name&gt;class&lt;/Name&gt;
          &lt;AttributeValue&gt;tch&lt;/AttributeValue&gt;
        &lt;/Attribute&gt;
      &lt;/RowAttributes&gt;
    &lt;/Row&gt;
    &lt;Row Type="Repeater"&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="PersonalId"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:TABLE NAME="PersonalEducationTableControl"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;onkeydown&lt;/Name&gt;
        &lt;AttributeValue&gt;captureUpDownKey(this, event)&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalEducationTableControl" Type="TablePanel" PanelControlName="PersonalEducationTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;asp:panel id="PersonalEducationTableControlCollapsibleRegion" runat="server"&amp;gt;&amp;lt;GEN:PANEL NAME="PersonalEducationPanel"/&amp;gt;&amp;lt;/asp:panel&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dv&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalEducationPanel" PanelControlName="PersonalEducationTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="PersonalEducationFields"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;tre&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dBody&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="PersonalEducationFields" Type="TableGridRegular" PanelControlName="PersonalEducationTableControl"&gt;
    &lt;Prolog /&gt;
    &lt;Row Type="Header"&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="StartDateLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="EndDateLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="CourseLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="InstitueLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="FacultryLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="CourseAbbrLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="LevelIdLabel1"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="EdYearLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="EducationTypeLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDLABEL NAME="COUNTRYLabel"/&amp;gt;
                        &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;thc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;scope&lt;/Name&gt;
            &lt;AttributeValue&gt;col&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes&gt;
        &lt;Attribute&gt;
          &lt;Name&gt;class&lt;/Name&gt;
          &lt;AttributeValue&gt;tch&lt;/AttributeValue&gt;
        &lt;/Attribute&gt;
      &lt;/RowAttributes&gt;
    &lt;/Row&gt;
    &lt;Row Type="Repeater"&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="StartDate"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="EndDate"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="Course"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="Institue"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="Facultry"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="CourseAbbr"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="LevelId"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="EdYear"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="EducationType"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;style&lt;/Name&gt;
            &lt;AttributeValue&gt;text-align: right;&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FIELDVALUE NAME="COUNTRY"/&amp;gt; &lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;ttc&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;onkeydown&lt;/Name&gt;
        &lt;AttributeValue&gt;captureUpDownKey(this, event)&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
&lt;/LayoutDefinition&gt;</LayoutDefinition>
</ComponentDefinition>